<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-btn
          :to="{ name: 'Bids' }"
          block
          link
          color="secondary"
        >Мои заявки</v-btn>
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12">
        <consultations-list :consultations="consultations"/>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">

import Component from "vue-class-component";
import Vue from "vue";
import { Consultation } from "@/domain/entity/consultation/Consultation";
import ConsultationsList from "@/components/consultations/ConsultationsList.vue";

@Component({
  components: {
    ConsultationsList
  }
})
export default class ConsultationsView extends Vue {
  private get consultations (): Consultation[] {
    return this.$store.getters['consultations/items'];
  }

  private async mounted (): Promise<void> {
    await this.$store.dispatch('consultations/fetch');
  }
}

</script>

<style scoped>

</style>
